| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::timer_comparator Struct Reference

Used to compare two timers next tick times in a priority queue. More...

`#include <timer.h>`

## Public Member Functions

bool | operator() (const timer_t &a, const timer_t &b) const
| Compare two timers.

## Detailed Description

Used to compare two timers next tick times in a priority queue.

## Member Function Documentation

## ◆ operator()()

bool dpp::timer_comparator::operator() | ( | const timer_t & | a,
|  | const timer_t & | b ) const

inline

Compare two timers.

Parameters

  a | first timer
  b | second timer

Returns
  returns true if a > b

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0